### Method

# GimpUi ColorButton set_type

#### Declaration [src]

    void
    gimp_color_button_set_type (
      GimpColorButton* button,
      GimpColorAreaType type
    )

#### Description [src]

Sets the `button` to the given `type`. See also gimp_color_area_set_type().

Sets property | `GimpUi.ColorButton:type`

#### Parameters

`type`

  Type: `GimpColorAreaType`

  The new `GimpColorAreaType`.